Subject: Re: bug#59790: 30.0.50; ns-use-native-fullscreen is not respected for first use of initial-frame-alist
From: Alan Third <[email-masked]>
To: Aaron Jensen <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Nov 2024 12:10:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Nov 22, 2024 at 06:20:17PM -0800, Aaron Jensen wrote:
> >
> > I tried this in createToolbar and I still get the error. I don't know if
> > the styleMask isn't set yet or if it's somehow using the toolbar from the
> > previous window? Seems odd. I haven't played with it too much, but I just
> > wanted to let you know that this didn't appear to work in case you were
> > planning on taking a look at some point.
> >
> 
> Figured it out. Please try the attached patch.

Looks good. Pushed to master as cf3ea44eb56364190ea9f2b905f74902c49de416.

-- 
Alan Third